# Uses of Class
ch.qos.logback.core.rolling.helper.FileNamePattern

Packages that use FileNamePattern
Package
Description
ch.qos.logback.core.rolling.helper
Internal helper classes used by `ch.qos.logback.core.rolling` package.
ch.qos.logback.core.util
Contains various utility classes.

## Uses of FileNamePattern in ch.qos.logback.core.rolling.helper

Constructors in ch.qos.logback.core.rolling.helper with parameters of type FileNamePattern
Modifier
Constructor
Description
``
`SizeAndTimeBasedArchiveRemover(FileNamePattern fileNamePattern, RollingCalendar rc)`
``
`TimeBasedArchiveRemover(FileNamePattern fileNamePattern, RollingCalendar rc)`

## Uses of FileNamePattern in ch.qos.logback.core.util

Methods in ch.qos.logback.core.util that return types with arguments of type FileNamePattern
Modifier and Type
Method
Description
`static Map<String,FileNamePattern>`
ContextUtil.`getFilenamePatternCollisionMap(Context context)`